-- make sure that any existing geometry is cleared out
newdocument()
probdef(60,"millimeters","axi",1E-8)

-- define coil current
i=1

-- add some materials
addmaterial("air",   1,1,0,0,0,0 ,0,0,1,0)
addmaterial("copper",1,1,0,0,0,58,0,0,1,0)

-- draw each turn
n=0
for j=1,10,1 do
  for k=1,10,1 do
	x=10+(j-1)
	y=(k-1)-4.5
	r=0.4
	n=n+1
	addnode(x-r,y)
	addnode(x+r,y)
	addarc(x-r,y,x+r,y,180,10)
	addarc(x+r,y,x-r,y,180,10)
	addblocklabel(x,y)
	addcircprop("turn"..n,i,0,0,0,0)
	selectlabel(x,y)
      	setblockprop("copper",0,0.1,"turn" .. n,0,1)
      	clearselected()
  end
end

-- draw boundaries
addnode(0,-30)
addnode(0,30)
addsegment(0,-30,0,30)
addarc(0,-30,0,30,180,2.5)
addboundprop("ABC",0,0,0,0,0,0,1/(4E-7*PI*0.030),0,2)
selectarcsegment(30,30)
setarcsegmentprop(2.5,"ABC",0,0)
clearselected()

-- add a block label for the air
addblocklabel(5,0)
selectlabel(5,0)
setblockprop("air",0,1,"<none>",0,0)
clearselected()

-- return display to a "nice" state
zoomnatural()
